Asterisk Releases: 11.25.1, 13.13.1, 14.2.1


#1

The current releases as available on the downloads site for each branch are: 11.25.1, 13.13.1, and 14.2.1.

The changelog for each are available at the following addresses:
http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-11.25.1
http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-13.13.1
http://downloads.asterisk.org/pub/telephony/asterisk/ChangeLog-14.2.1


#2

#3

I can’t install Asterisk 13 from asterisk-13 repo on CentOS 6.8. Problem is that asterisk requires libsrtp.so.0 and pjproject. pjproject requires libsrtp.so.1. And that creates dependency conflict.

Why the asterisk 13.11.2 package is not in CentOS 6 repo? http://packages.asterisk.org/centos/6/asterisk-13/x86_64/RPMS/
Will asterisk 13.11.2 be added to the CentOS 6 repo?
If it will, will this dependency conflict be solved?

Best regards.

cat /etc/redhat-release
CentOS release 6.8 (Final)

yum info asterisk
Name : asterisk
Arch : x86_64
Version : 13.3.2
Release : 1_centos6
Repo : asterisk-13

yum install asterisk

–> Finished Dependency Resolution
Error: Package: asterisk-core-13.3.2-1_centos6.x86_64 (asterisk-13)
Requires: libilbccodec.so.2()(64bit)
Error: Package: asterisk-core-13.3.2-1_centos6.x86_64 (asterisk-13)
Requires: libg7221codec.so.2()(64bit)
Error: Package: asterisk-dahdi-13.3.2-1_centos6.x86_64 (asterisk-13)
Requires: libtonezone
Error: Package: asterisk-dahdi-13.3.2-1_centos6.x86_64 (asterisk-13)
Requires: dahdi-linux-kmod
Error: Package: asterisk-core-13.3.2-1_centos6.x86_64 (asterisk-13)
Requires: libsrtp.so.0()(64bit)
Error: Package: asterisk-core-13.3.2-1_centos6.x86_64 (asterisk-13)
Requires: asterisknow-version
Error: Package: asterisk-dahdi-13.3.2-1_centos6.x86_64 (asterisk-13)
Requires: dahdi-linux
Error: Package: asterisk-dahdi-13.3.2-1_centos6.x86_64 (asterisk-13)
Requires: libopenr2


#4

The packages.asterisk.org repo is not maintained as of this time, sorry.


#5

Dead jcolp,

thank you for your fast reply.

Do you have information will packages.asterisk.org repo be maintained in near future?
Do you know for any other CentOS 6 repo with recent Asterisk packages?
Can you provide us spec file of last package in repo (13.3.2)?

Best regards.


#6

I don’t foresee it being maintained anytime soon. I don’t use CentOS and do not know. The spec file should be in the SRPM: http://packages.asterisk.org/centos/6/asterisk-13/SRPMS/asterisk-13.3.2-1_centos6.src.rpm

As well please open a new topic next time.


#7

Thank you for your time and information you have provided.

Best regards.


#9